
/*
 Stepper Motor Control - one revolution

 This program drives a unipolar or bipolar stepper motor.
 The motor is attached to digital pins 8 - 11 of the Arduino.

 The motor should revolve one revolution in one direction, then
 one revolution in the other direction.


 Created 11 Mar. 2007
 Modified 30 Nov. 2009
 by Tom Igoe

 */

#include <Stepper.h>

const int stepsPerRevolution = 200;  // change this to fit the number of steps per revolution
// for your motor

// initialize the stepper library on pins 8 through 11:
Stepper myStepper(stepsPerRevolution, 0, 7, 2, 4);

const int currentLimit = 100;
const int currentControlA = 6;
const int currentControlB = 1;
const int currentSenseA = 26;
const int currentSenseB = 27;
int A;
int B;

void setup() {
  // set the speed at 60 rpm:
  myStepper.setSpeed(60);
  pinMode(currentControlA,OUTPUT);
  pinMode(currentControlB,OUTPUT);
  pinMode(currentSenseA,INPUT);
  pinMode(currentSenseB,INPUT);
  analogWrite(currentControlA, currentLimit);
  analogWrite(currentControlB, currentLimit);
  // initialize the serial port:
  Serial.begin(9600);
}

void loop() {
  // step one revolution  in one direction:
  Serial.println("clockwise");
  A = analogRead(currentSenseA);
  B = analogRead(currentSenseB);
  Serial.println(A);
  Serial.println(B);
  myStepper.step(stepsPerRevolution);
  delay(500);

  
  // step one revolution in the other direction:
  Serial.println("counterclockwise");
  A = analogRead(currentSenseA);
  B = analogRead(currentSenseB);
  Serial.println(A);
  Serial.println(B);
  myStepper.step(-stepsPerRevolution);
  delay(500);
}
